# +++Date last modified: 03-Mar-1998
#
# Copyright (c) 1996 Stephen Karg
#
# Permission is hereby granted, free of charge, to any person obtaining
# a copy of this software and associated documentation files (the
# "Software"), to deal in the Software without restriction, including
# without limitation the rights to use, copy, modify, merge, publish,
# distribute, sublicense, and/or sell copies of the Software, and to
# permit persons to whom the Software is furnished to do so, subject to
# the following conditions:
#
# The above copyright notice and this permission notice shall be included
# in all copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
# EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
# MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.
# IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY
# CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT,
# TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE
# SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
#
# ELEVATOR master makefile for Turbo C++
#
# run from the command line to create an executable:
#   make -f makefile.mak
#
# NOTE: if you are switching back and forth from the IDE,
# you should make the first time from the command line as:
#   make -B -f makefile.mak
#

.AUTODEPEND

#
# Tools
#
IMPLIB  = Implib
COMPILER= c:\tc\bin\tcc
COMPILE = $(COMPILER) +tccdos.cfg
LINK    = c:\tc\bin\TLink
LIB     = TLib

#
# Directories
#
C_LIB_DIR   = C:\TC\LIB
C_INC_DIR   = C:\TC\INCLUDE
SOURCE_DIR  = e:\elevator

#
# Options
#
LINKER_LIB =  -L$(C_LIB_DIR)
DEFINES = 
# Library should be listed with RTK first
LINKER_OPTIONS =  /L$(C_LIB_DIR) /m /l /c /s /i /yx
#LINKER_OPTIONS =  /L$(C_LIB_DIR) /m /l /c /s /i /yx /v
# Most of the compile options are at the end of this file (tccdos.cfg)
COMPILE_OPTIONS =  -I$(SOURCE_DIR);$(C_INC_DIR) -D$(DEFINES)

#
# Dependency List
#
elev : tccdos.cfg elevator.exe
  echo Made elevator.exe (real mode version)

# The rest of the files
main :   main.obj
egavga:  egavga.obj
sans:  sans.obj
elevtask:  elevtask.obj
elevsim:  elevsim.obj
elevsupp:  elevsupp.obj
display:  display.obj
elevator:  elevator.obj
passnger:  passnger.obj
poisson:  poisson.obj
output:  output.obj
report:  report.obj

ALL_DEPENDENCIES = \
   egavga.obj\
   sans.obj\
   main.h\
   elevtask.obj\
   elevsim.obj\
   elevsupp.obj\
   display.obj\
   elevator.obj\
   passnger.obj\
   poisson.obj\
   output.obj\
   report.obj

elevator.exe : $(ALL_DEPENDENCIES)
  $(LINK)   @&&|
  $(LINKER_LIB) $(LINKER_OPTIONS) +
$(C_LIB_DIR)\C0L.obj+
egavga.obj+
sans.obj+
elevtask.obj+
elevsim.obj+
elevsupp.obj+
display.obj+
elevator.obj+
passnger.obj+
poisson.obj+
output.obj+
report.obj
$<,$*
$(C_LIB_DIR)\graphics.lib+
$(C_LIB_DIR)\emu.lib+
$(C_LIB_DIR)\mathl.lib+
$(C_LIB_DIR)\cl.lib

|

elevtask.obj :  elevtask.cpp
  $(COMPILE) -c @&&|
  $(COMPILE_OPTIONS) -o$@ elevtask.cpp
|

elevsim.obj : elevsim.h
  $(COMPILE) -v -c @&&|
  $(COMPILE_OPTIONS) -o$@ elevsim.cpp
|

elevsupp.obj : elevsupp.h
  $(COMPILE) -c @&&|
  $(COMPILE_OPTIONS) -o$@ elevsupp.cpp
|

display.obj : display.h
  $(COMPILE) -c @&&|
  $(COMPILE_OPTIONS) -o$@ display.cpp
|

elevator.obj : elevator.h
  $(COMPILE) -c @&&|
  $(COMPILE_OPTIONS) -o$@ elevator.cpp
|

passnger.obj : passnger.h
  $(COMPILE) -c @&&|
  $(COMPILE_OPTIONS) -o$@ passnger.cpp
|

poisson.obj : poisson.h
  $(COMPILE) -c @&&|
  $(COMPILE_OPTIONS) -o$@ poisson.cpp
|

output.obj : output.h
  $(COMPILE) -c @&&|
  $(COMPILE_OPTIONS) -o$@ output.cpp
|

report.obj : report.h
  $(COMPILE) -c @&&|
  $(COMPILE_OPTIONS) -o$@ report.cpp
|

# Compiler configuration file
tccdos.cfg :
   Copy &&|
-ml   #memory model LARGE
#-y    #include line numbers in OBJ's
#-v    #include debug info
-w    #turn on all warnings
| $@

